//
//  RoundShadowView.swift
//  NSApplication1.8
//
//  Created by DT Team  on 2/19/20.
//  Copyright © 2020 Amine. All rights reserved.
//

import UIKit

class RoundShadowView: UIView {

    let containerView = UIView()
      let cornerRadius: CGFloat = 6.0
    
      override init(frame: CGRect) {
          super.init(frame: frame)

          layoutView()
      }

      required init?(coder aDecoder: NSCoder) {
         // fatalError("init(coder:) has not been implemented")
        super.init(coder: aDecoder)
      }

      func layoutView() {
        
        
        
        addSubview(containerView)
        
        //
        // add additional views to the containerView here
        //
        
        // add constraints
        containerView.translatesAutoresizingMaskIntoConstraints = false
        
        // pin the containerView to the edges to the view
        containerView.leadingAnchor.constraint(equalTo: leadingAnchor).isActive = true
        containerView.trailingAnchor.constraint(equalTo: trailingAnchor).isActive = true
        containerView.topAnchor.constraint(equalTo: topAnchor).isActive = true
        containerView.bottomAnchor.constraint(equalTo: bottomAnchor).isActive = true
      }

}
